﻿using SPC.Kiosk.Base;
using SPC.Kiosk.Common;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
namespace SPC.Kiosk.PB.Model
{
    /// <summary>
    /// Category Data
    /// </summary>
    public class M_CategoryItems
    {
        /// <summary>
        /// a Root Catalog
        /// </summary>
        public M_ItemData Catalog1Item { get; set; } = new M_ItemData();
        /// <summary>
        /// Sub Catalog Datas
        /// </summary>
        public List<M_ItemData> Catalog2Items { get; set; } = new List<M_ItemData>();
    }
    /// <summary>
    /// DiscountData
    /// </summary>
    public class M_DiscountAndAddValues
    {
        /// <summary>
        /// Discount Type
        /// </summary>
        public PaymentsDiscountAndAddType DiscountType { get; set; } = PaymentsDiscountAndAddType.None;
        /// <summary>
        /// Diacount Name Text
        /// </summary>
        public List<M_Language> DiscountName { get; set; }
        /// <summary>
        /// Discount Value
        /// </summary>
        public double DiscountValue { get; set; } = 0d;
        /// <summary>
        /// Gift Item Code
        /// </summary>
        public string AddItemCode { get; set; } = string.Empty;
        /// <summary>
        /// Gift Item Count
        /// </summary>
        public int AddCount { get; set; } = 0;
        /// <summary>
        /// Gift Item Unit Price
        /// </summary>
        public double AddValue { get; set; } = 0d;
        /// <summary>
        /// Is Can Roll Back
        /// </summary>
        public bool IsCanRollBack { get; set; }
    }
    /// <summary>
    /// Barcode Scan Or AIaScan Data
    /// </summary>
    public class M_ScanData
    {
        public string ItemCode { get; set; }
        public string Barcord { get; set; }
        public BasketItemType ItemType { get; set; } = BasketItemType.None;
    }
}



