﻿using System;

using Cosmos.UserFrame;

/*-----------------------------------------------------------------------------------------------*/
// 설      명 : 캠페인 관리
// 작  성  자 : 
// 변경  이력 : 
/*-----------------------------------------------------------------------------------------------*/
namespace Cosmos.Service
{
    /// <summary>
    /// 클레스 로딩 처리
    /// </summary>
    public class Activator : InitServiceAbstract
    {
        /// <summary>
        /// 클레스 로딩
        /// </summary>
        /// <param name="sClassName"></param>
        /// <returns></returns>
        public override object InitServiceInstance(string sClassName)
        {
            //UserLog.WriteLogFile(UserCom.LOG_DEBUG, System.Reflection.Assembly.GetExecutingAssembly().ManifestModule.Name
            //                  , "Activator.InitServiceInstance()", "Message : Service Object Registration Start !!!");

            object obj = System.Activator.CreateInstance(Type.GetType("Cosmos.Service." + sClassName));

            //UserLog.WriteLogFile(UserCom.LOG_DEBUG, System.Reflection.Assembly.GetExecutingAssembly().ManifestModule.Name
            //                  , "Activator.InitServiceInstance()", "Message : Service Object Registration Completed !!!");
            return obj;
        }
    }
}