﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using Cosmos.CommonManager;
using Cosmos.BaseFrame;

namespace Cosmos.Win
{
    public partial class frmForeignersResponse : Form
    {
        //private SManager sManager = new SManager();                                 // 이 객체를 통해 업무 Service 호출
        //private StateServer StateObject = (StateServer)StateServer.GetInstance();   // StateObject : StateServer Object (객체)
        //private PosStatus m_cPosStatus = new PosStatus();                           // 기본정보 참조
        //private IDataCommonUs m_cDataCommon = null;                                 // POS 공통함수 인터페이스
        //private IStoreCheck m_cStoreCheck = null;                                   // 점검리스트 가지고 오기

        // 상황에 맞는 화면을 띄워주기 위한 설정값
        private string m_sForeignersInfo = "";
        public string ForeignersInfo { set { m_sForeignersInfo = value; } get { return m_sForeignersInfo; } }


        public frmForeignersResponse()
        {
            InitializeComponent();

            base.SetStyle(ControlStyles.OptimizedDoubleBuffer | ControlStyles.AllPaintingInWmPaint | ControlStyles.ResizeRedraw, true);
            //this.UpdateStyles();
        }

        private void frmForeignersResponse_Load(object sender, EventArgs e)
        {
            if (m_sForeignersInfo == "001")
            {
                // 영어
                picInfo.Image = ImageManager.GetImage(BaseCom.NxImgPath, ImageManager.ENGLISH_INFO);
            }
            else if (m_sForeignersInfo == "002")
            {
                // 일본어
                picInfo.Image = ImageManager.GetImage(BaseCom.NxImgPath, ImageManager.JAPANESE_INFO);
            }
            else if (m_sForeignersInfo == "003")
            {
                // 중국어
                picInfo.Image = ImageManager.GetImage(BaseCom.NxImgPath, ImageManager.CHINESE_INFO);
            }
        }

        private void picInfo_Click(object sender, EventArgs e)
        {
            this.Close();
        }

    }
}
