﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Cosmos.Common
{
    /// <summary>
    /// 2019-02-20 - 1997fx11 : Kiosk용 Division ID List
    /// </summary>
    public class KioskLists
    {
        /// <summary>
        /// 01 : 점포별 대기화면
        /// </summary>
        public class NHS_SCREEN
        {
            /// <summary>
            /// 테이블 ID
            /// </summary>
            public const string ID = "NHS_SCREEN";
            /// <summary>
            /// 마스터 요청 구분
            /// </summary>
            public const string DIV = "01";
        }


        /// <summary>
        /// 02 : 대기화면 레이어별 리소스
        /// </summary>
        public class NHS_SCREEN_CONTENTS
        {
            /// <summary>
            /// 테이블 ID
            /// </summary>
            public const string ID = "NHS_SCREEN_CONTENTS";
            /// <summary>
            /// 마스터 요청 구분
            /// </summary>
            public const string DIV = "02";
        }


        /// <summary>
        /// 03 : 대기화면 레이어
        /// </summary>
        public class NHS_SCREEN_LAYER
        {
            /// <summary>
            /// 테이블 ID
            /// </summary>
            public const string ID = "NHS_SCREEN_LAYER";
            /// <summary>
            /// 마스터 요청 구분
            /// </summary>
            public const string DIV = "03";
        }


        /*
        /// <summary>
        /// 04 : 점포별 제품카테고리
        /// 2019-03-11 - 1997fx11 : Class명을 'NHS_STORE_PRD_CATE'에서 'NHS_STOR_PRD_CATE' 로 변경
        /// 2019-03-11 - 1997fx11 : 'NHS_STORE_PRD_CATE' Class 삭제
        /// </summary>
        public class NHS_STOR_PRD_CATE
        {
            /// <summary>
            /// 테이블 ID
            /// </summary>
            public const string ID = "NHS_STOR_PRD_CATE";
            /// <summary>
            /// 마스터 요청 구분
            /// </summary>
            public const string DIV = "04";
        }
        */


        /// <summary>
        /// 05 : 점포별 제품 터치키
        /// 2019-03-11 - 1997fx11 : Class명을 'NHS_STORE_PRD_KEY'에서 'NHS_STORE_PRD_KEY' 로 변경
        /// </summary>
        public class NHS_STOR_PRD_KEY
        {
            /// <summary>
            /// 테이블 ID
            /// </summary>
            public const string ID = "NHS_STOR_PRD_KEY";
            /// <summary>
            /// 마스터 요청 구분
            /// </summary>
            public const string DIV = "05";
        }


        /// <summary>
        /// 06 : 점포별 UI템플릿
        /// </summary>
        public class NHS_UI_TEMPLATE
        {
            /// <summary>
            /// 테이블 ID
            /// </summary>
            public const string ID = "NHS_UI_TEMPLATE";
            /// <summary>
            /// 마스터 요청 구분
            /// </summary>
            public const string DIV = "06";
        }


        /// <summary>
        /// 07 : 캠페인 리소스
        /// </summary>
        public class NHS_CPI_CONTENTS
        {
            /// <summary>
            /// 테이블 ID
            /// </summary>
            public const string ID = "NHS_CPI_CONTENTS";
            /// <summary>
            /// 마스터 요청 구분
            /// </summary>
            public const string DIV = "07";
        }


        /*
        /// <summary>
        /// 08 : 고객구매이력
        /// 2019-03-07 - 1997fx11 : NHS_CUST_BUY_HIST Class 삭제
        /// </summary>
        public class NHS_CUST_BUY_HIST
        {
            /// <summary>
            /// 테이블 ID
            /// </summary>
            public const string ID = "NHS_CUST_BUY_HIST";
            /// <summary>
            /// 마스터 요청 구분
            /// </summary>
            public const string DIV = "08";
        }
        */


        /// <summary>
        /// 09 : 제품 다국어
        /// </summary>
        public class NHS_LANG_MSG
        {
            /// <summary>
            /// 테이블 ID
            /// </summary>
            public const string ID = "NHS_LANG_MSG";
            /// <summary>
            /// 마스터 요청 구분
            /// </summary>
            public const string DIV = "09";
        }


        /// <summary>
        /// 10 : 화면구성
        /// </summary>
        public class NHS_LAYOUT
        {
            /// <summary>
            /// 테이블 ID
            /// </summary>
            public const string ID = "NHS_LAYOUT";
            /// <summary>
            /// 마스터 요청 구분
            /// </summary>
            public const string DIV = "10";
        }


        /*
        /// <summary>
        /// 11 : 제품카테고리(대분류)
        /// 2019-03-11 - 1997fx11 : 'NHS_PRD_CATE_L' Class 삭제
        /// </summary>
        public class NHS_PRD_CATE_L
        {
            /// <summary>
            /// 테이블 ID
            /// </summary>
            public const string ID = "NHS_PRD_CATE_L";
            /// <summary>
            /// 마스터 요청 구분
            /// </summary>
            public const string DIV = "11";
        }
        */


        /*
        /// <summary>
        /// 12 : 제품카테고리(중분류)
        /// 2019-03-11 - 1997fx11 : 'NHS_PRD_CATE_M' Class 삭제
        /// </summary>
        public class NHS_PRD_CATE_M
        {
            /// <summary>
            /// 테이블 ID
            /// </summary>
            public const string ID = "NHS_PRD_CATE_M";
            /// <summary>
            /// 마스터 요청 구분
            /// </summary>
            public const string DIV = "12";
        }
        */


        /// <summary>
        /// 13 : 제품마스터
        /// </summary>
        public class NHS_PRD_MST
        {
            /// <summary>
            /// 테이블 ID
            /// </summary>
            public const string ID = "NHS_PRD_MST";
            /// <summary>
            /// 마스터 요청 구분
            /// </summary>
            public const string DIV = "13";
        }


        /// <summary>
        /// 14 : 부가옵션
        /// </summary>
        public class NHS_OPTN_MST
        {
            /// <summary>
            /// 테이블 ID
            /// </summary>
            public const string ID = "NHS_OPTN_MST";
            /// <summary>
            /// 마스터 요청 구분
            /// </summary>
            public const string DIV = "14";
        }


        /// <summary>
        /// 15 : 부가옵션그룹
        /// </summary>
        public class NHS_PRD_OPTN_GRP
        {
            /// <summary>
            /// 테이블 ID
            /// </summary>
            public const string ID = "NHS_PRD_OPTN_GRP";
            /// <summary>
            /// 마스터 요청 구분
            /// </summary>
            public const string DIV = "15";
        }


        /// <summary>
        /// 16 : 제품별 부가옵션
        /// </summary>
        public class NHS_PRD_OPTN
        {
            /// <summary>
            /// 테이블 ID
            /// </summary>
            public const string ID = "NHS_PRD_OPTN";
            /// <summary>
            /// 마스터 요청 구분
            /// </summary>
            public const string DIV = "16";
        }


        /// <summary>
        /// 17 : 제품카테고리 전체
        /// </summary>
        public class NHS_PRD_CATE
        {
            /// <summary>
            /// 테이블 ID
            /// </summary>
            public const string ID = "NHS_PRD_CATE";
            /// <summary>
            /// 마스터 요청 구분
            /// </summary>
            public const string DIV = "17";
        }


        /// <summary>
        /// 18 : 점포 제품별 태그정보
        /// </summary>
        public class NHS_STOR_PRD_TAG
        {
            /// <summary>
            /// 테이블 ID
            /// </summary>
            public const string ID = "NHS_STOR_PRD_TAG";
            /// <summary>
            /// 마스터 요청 구분
            /// </summary>
            public const string DIV = "18";
        }

        /// <summary>
        /// 19 : 점포 링크상품
        /// </summary>
        public class NHS_LINK_ITEM
        {
            /// <summary>
            /// 테이블 ID
            /// </summary>
            public const string ID = "NHS_LINK_ITEM";
            /// <summary>
            /// 마스터 요청 구분
            /// </summary>
            public const string DIV = "19";
        }

        /// <summary>
        /// 20 : 점포 플레이버
        /// </summary>
        public class NHS_STOR_FLAVOR
        {
            /// <summary>
            /// 테이블 ID
            /// </summary>
            public const string ID = "NHS_STOR_FLAVOR";
            /// <summary>
            /// 마스터 요청 구분
            /// </summary>
            public const string DIV = "20";
        }

        /// <summary>
        /// 21 : POS 옵션 정보
        /// </summary>
        public class NHS_POS_OPTN
        {
            /// <summary>
            /// 테이블 ID
            /// </summary>
            public const string ID = "NHS_POS_OPTN";
            /// <summary>
            /// 마스터 요청 구분
            /// </summary>
            public const string DIV = "21";
        }

        /// <summary>
        /// 22 : 점포 결제수단
        /// </summary>
        public class NHS_FUNC_INFO
        {
            /// <summary>
            /// 테이블 ID
            /// </summary>
            public const string ID = "NHS_FUNC_INFO";
            /// <summary>
            /// 마스터 요청 구분
            /// </summary>
            public const string DIV = "22";
        }

    }
}
