﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Cosmos.Win
{
    public class ComboBoxConst
    {
        public class POSPrinter_Model
        {
            public const string ID = "POSPrinter_Model";

            //public static string[] CB_LIST_PrinterModel = { "1:TM_T88II", "2:TM_T88III", "3:TM_T88IV", "4:TM_T88V", "5:4610_TF7", "6:4610_1NR", "7:TRST_A00", "8:SRP_352PLUSIII", "9:TP_600", "10:GIANT_100S", "11:P2C_(All_In_One)", "99:Debug" };
            public static string[] CB_LIST_PrinterModel = { "1:EPSON", "2:TOSHIBA", "3:IBM", "6:P2C", "7:1NR", "99:Debug" };//2018.01.22;"7:4610_1NR" 모델 추가;girak.kim
            
        }

        public class Signpad_Model
        {
            public const string ID = "Signpad_Model";
            public static string[] CB_LIST_SignpadModel = { "1:OLTMS", "2:OLCSP", "3:SSP-100", "4:SN-350P", "5:SN-150P" };
        }

        public class CATTerminal_Model
        {
            public const string ID = "CATTerminal_Model";
            public static string[] CB_LIST_CATTerminalModel = { "11:SPCN", "21:SAND", "22:UNION" };
        }

        public class MSREmul_Model
        {
            public const string ID = "MSREmul_Model";
            public static string[] CB_LIST_MSREmulModel = { "ETC", "ST-A20", "ST-71", "E70", "IBM-545", "IBM-E26", "IBM-563", "OBETT-462", "OBETT-600", "XN-503I" };
        }
        
        public static string GetIndexOf(string sDiv, string sNumber)
        {
            int iRet = -1;
            try
            {
                if (sDiv == POSPrinter_Model.ID)
                {
                    for (int nLoop = 0; nLoop < POSPrinter_Model.CB_LIST_PrinterModel.Length; nLoop++)
                    {
                        string[] sValues = (POSPrinter_Model.CB_LIST_PrinterModel[nLoop]).Split(new String[] { ":" }, StringSplitOptions.RemoveEmptyEntries);
                        if (sNumber.Equals(sValues[0]) == true)
                        {
                            iRet = nLoop;
                        }
                    }
                }
                else if(sDiv == Signpad_Model.ID)
                {
                    for(int nLoop = 0;nLoop < Signpad_Model.CB_LIST_SignpadModel.Length;nLoop++)
                    {
                        string[] sValues = (Signpad_Model.CB_LIST_SignpadModel[nLoop]).Split(new String[] { ":" }, StringSplitOptions.RemoveEmptyEntries);
                        if (sNumber.Equals(sValues[0]) == true)
                        {
                            iRet = nLoop;
                        }
                    }
                }
                else if(sDiv == CATTerminal_Model.ID)
                {
                    for(int nLoop = 0;nLoop < CATTerminal_Model.CB_LIST_CATTerminalModel.Length;nLoop++)
                    {
                        string[] sValues = (CATTerminal_Model.CB_LIST_CATTerminalModel[nLoop]).Split(new String[] { ":" }, StringSplitOptions.RemoveEmptyEntries);
                        if(sNumber.Equals(sValues[0]) == true)
                        {
                            iRet = nLoop;
                        }
                    }
                }
            }
            catch (Exception ex)
            { }

            return iRet.ToString();
        }
    }
}
